             if element.element == "icon" {
                var icon: IGShapeIcon?
                let ival = element.input_value ?? "icon"
                
                if isHeading {
                    if let firstIndex = self.headingData.firstIndex(where: { $0.key == ival }) {
                        if let shapeIcon = self.headingData[firstIndex].icon {
                            icon = shapeIcon
                        }else {
                            icon = IGDefaultIcon
                            self.headingData[firstIndex].icon = icon
                        }
                    }else {
                        icon = IGDefaultIcon
                        self.headingData.append(IGItemData(key: ival, icon: icon ?? IGDefaultIcon))
                    }
                }else {
                    if self.itemsData.indices.contains(index) {
                        let currentItemData = self.itemsData[index]
                        if let firstIndex = currentItemData.firstIndex(where: { $0.key == ival }) {
                            if let shapeIcon = currentItemData[firstIndex].icon {
                                icon = shapeIcon
                            }else {
                                icon = IGDefaultIcon
                                self.itemsData[index][firstIndex].icon = icon
                            }
                        }else {
                            icon = IGDefaultIcon
                            self.itemsData[index].append(IGItemData(key: ival, icon: icon ?? IGDefaultIcon))
                        }
                    }else {
                        icon = IGDefaultIcon
                        let currentItemData = [IGItemData(key: ival, icon: icon ?? IGDefaultIcon)]
                        self.itemsData.append(currentItemData)
                    }
                }
                
                if let icon = icon, let pathD = icon.svg {
                    let x = element.xPos ?? 0
                    let y = element.yPos ?? 0
                    let size = element.size ?? 512
                    
                    //Calculate scale from icon original size and JSON Size(svg size in template)
                    let icRefSize: CGFloat = icon.size ?? 512
                    let icX = x-(size/2)
                    let icY = y-(size/2)
                    let icScale = size/icRefSize
                    let icTransformStr = "translate(\(icX), \(icY)) scale(\(icScale))"
                    
                    id += "_icon"
                    
                    let iconGroup = shape.addChild(name: "g", attributes: [
                        "id": id,
                        "transform": icTransformStr,
                        "color": fill
                    ])
                    
                    do {
                        let svgXML = try AEXMLDocument(xml: "<g>\(pathD)</g>")
                        for child in svgXML.children {
                            iconGroup.addChild(child)
                        }
                    }catch {
                        break
                    }
                }
            }